%define name libspectre
%define version 0.2.7
%define release %mkrel 1
%define major 1
%define libname %mklibname spectre %major
%define develname %mklibname -d spectre


Summary: Postscript rendering library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://libspectre.freedesktop.org/releases/%{name}-%{version}.tar.xz
License: GPLv2+
Group: System/Libraries
Url: http://libspectre.freedesktop.org/wiki/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gs-devel
BuildRequires: %{_lib}jasper-devel >= 1.900.1
Requires: %{_lib}jasper1 >= 1.900.1
Obsoletes: %name < %version


%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %libname
Group: System/Libraries
Summary: Postscript rendering library

%description -n %libname
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n %develname
Summary: Postscript rendering library
Group: Development/Libraries
Requires: %libname = %version
Provides: libspectre-devel = %version-%release
Obsoletes: libspectre1-devel

%description -n %develname
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.



%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#drop this
rm -f %{buildroot}/%_libdir/*.la


%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%_libdir/libspectre.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/libspectre.so
%_libdir/pkgconfig/*
%_includedir/*


%changelog
* Fri Feb 14 2014 bb <bb> 0.2.7-1pclos2014
- update
- drop .la files
- disable static build
- adjust BR

* Thu Jul 19 2012 Neal <nealbrks0 at gmail dot com> 0.2.6-2pclos2012
- set to require newer libjasper
- rebuild

* Sun Feb 13 2011 Texstar <texstar at gmail.com> 0.2.6-1pclos2011
- 0.2.6

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 0.2.3-4pclos2010
- rebuild

* Sat Aug 07 2010 Texstar <texstar at gmail.com> 0.2.3-3pclos2010
- rebuild

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.2.3-2pclos2010
- rebuild

* Fri Nov 06 2009 Texstar <texstar at gmail.com> 0.2.3-1pclos2010
- gcc update
- 0.2.3

* Sun Aug 24 2008 don_crissti <don_crissti@gmx.com> 0.2.1-1pclos2007
- initial build for PCLinuxOS
